Subject: RE: Address Resolution with ND verus MAC address from the EUI-64 form at

From: Jung Cyndi-ACJ099 <[email-masked]>
Date: Wed, 28 Nov 2001 22:16:33 -0600

The EUI-64 ID is just one way to build the 64-bit interface ID, and is the
way specified for auto-address configuration.  The 64-bits may also be manually
configured - simple numbers that might be easier to organize than a seemingly
random number, or even intentionally random numbers that change periodically
to keep network traffic analysts off your trail.  DHCPv6 can also be used - one
day.

When you use the EUI-64 to self-configure the addresses, you get to set the "global" 
bit in the interface ID, but you still need to run Duplicate Address Detection.  Also,
for a server that lists it's IPv6 address in a directory, it is still desireable
to make that address independent of the hardware address - just as it has always
been for IPv4.  The client system derives the benefit from auto-addressing, and
from the privacy extensions, neither of which is all that compelling for a server.

Keep reading :-)

Cyndi  

-----Original Message-----
From: Huber Matthias [mailto:[email-masked]]
Sent: Wednesday, November 28, 2001 5:49 AM
To: [email-masked]
Cc: [email-masked]
Subject: Address Resolution with ND verus MAC address from the EUI-64
form at

Hello all,

I've read already a couple of RFCs and books to familiarize myself with IPv6.
I'm struggling with the following: Neighbor discovery is used to find out the corresponding
Layer-2 address to a given IPv6 unicast address ( similar to the ARP process in IPv4).
On the other hand I have learned that all global aggregatable unicast addresses have to 
use the EUI-64 format for the interface ID. At least in a Ethernet (I think this is 
the majority of  the LANs today) this EUI-64 ID is derived from the MAC address in 
an reversible way. (Simply adding/removing 0xFFFE in the "middle"). So my question is
why do I need the ND in a LAN in order to do the address resolution ???
I know that there must be a simple reason, but I don't know it. 

Is anyone able to sched some light into this ?

Thanks very much
Matt 

Mit freundlichen Grüssen / with kind regards
Matthias Huber

Siemens AG                    		I&C Training Institute
CCSI CCNA                   		ICM CA VZ TI A5
Phone +49 89-722-34051         	Baierbrunnerstrasse 28
Fax +49 89-722-61684               	81359 Munich/Germany
Mail	mailto:[email-masked]

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------